Bug 177705 - kadischi .spec for rpms CVS
kadischi .spec for rpms CVS
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kadischi (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Darko Ilic
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-12 19:59 EST by Jasper O. Hartline
Modified: 2015-02-25 02:30 EST (History)
0 users

See Also:
Fixed In Version: 0.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-18 05:35:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kadischi RPM,SRPM .spec file (2.42 KB, text/plain)
2006-01-12 20:05 EST, Jasper O. Hartline
no flags Details
Kadischi .spec for rpmbuild (2.33 KB, text/plain)
2006-01-13 07:09 EST, Jasper O. Hartline
no flags Details
Kadischi RPM specfile (2.66 KB, text/plain)
2006-01-16 08:28 EST, Jasper O. Hartline
no flags Details
Kadischi RPM speccfile for CVS (3.01 KB, text/plain)
2006-01-22 12:29 EST, Jasper O. Hartline
no flags Details
kadischi.spec (3.25 KB, text/plain)
2006-01-26 18:28 EST, Jasper O. Hartline
no flags Details
Kadischi rpmbuild .spec file (3.58 KB, text/plain)
2006-03-01 10:47 EST, Jasper O. Hartline
no flags Details

  None (edit)
Description Jasper O. Hartline 2006-01-12 19:59:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Fedora/1.7.12-1.5.1

Description of problem:
Attached is a .spec file that has been tested on UP,SMP i386/i686 machines as root and as users to successfully build kadischi rpms,srpms from CVS. (January 12 2006)



Version-Release number of selected component (if applicable):
kadischi

How reproducible:
Always

Steps to Reproduce:
1. rpmbuild -ba SPECS/kadischi.spec
2.
3.
  

Additional info:
Comment 1 Jasper O. Hartline 2006-01-12 20:05:07 EST
Created attachment 123144 [details]
Kadischi RPM,SRPM .spec file

Kadischi RPM,SRPM .spec file
Comment 2 Jasper O. Hartline 2006-01-13 07:01:40 EST
Comment on attachment 123144 [details]
Kadischi RPM,SRPM .spec file

>Name:          kadischi
>Summary:       Kadischi - LiveCD tool for Fedora Core Systems
>Version:       0.0
>Release:       1
>License:       GPL
>Group:         Development/Tools
>URL:           http://fedoraproject.org/wiki/Kadischi
>Source0:       %{name}-%{version}.tar.bz2
>Patch0:	newrpms-kadischi-userbuild.patch
>Requires:      python anaconda busybox-anaconda syslinux mkisofs
>Requires:      zisofs-tools e2fsprogs
>BuildRequires: kudzu-devel
>BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}
>
>%description
>Kadischi - Fedora Core LiveCD generation tool
> 
>%prep
>%setup -q -n %{name}
>%patch0 -p0
>
>%build
>glib-gettextize --copy --force
>intltoolize --copy -f --automake
>aclocal -I .
>autoconf
>automake --add-missing --copy
>%configure
>make
> 
>%install
>rm -rf %{buildroot}
>make DESTDIR=%{buildroot} install
>
>### redundant
>rm -rf %{buildroot}%{_datadir}/%{name}/doc/*
>
>### touch known %ghosts
>touch %{buildroot}%{_datadir}/%{name}/lib/shvar.pyc
>touch %{buildroot}%{_datadir}/%{name}/lib/functions.pyc
>
>
>%clean
>rm -rf %{buildroot}
> 
>%files
>%defattr(-,root,root)
>%doc doc/CREDITS doc/FAQ doc/INSTALL doc/NEWS doc/README doc/TODO
>%{_bindir}/%{name}
>%dir %{_sysconfdir}/%{name}
>%config %{_sysconfdir}/%{name}/build.conf
>%config %{_sysconfdir}/%{name}/buildstamp
>%dir %{_datadir}/%{name}
>%{_datadir}/%{name}/*.sh
>%{_datadir}/%{name}/*.py
>%{_datadir}/%{name}/lib/*.py
>%ghost %{_datadir}/%{name}/lib/*.pyc
>%{_datadir}/%{name}/post_install_scripts/*.sh
>%{_datadir}/%{name}/post_install_scripts/*.py
>%{_datadir}/%{name}/initrd/find-live-cd
>%{_datadir}/%{name}/ks_examples/minimal-livecd.cfg
>%{_datadir}/%{name}/initrd/livecd-linuxrc
>%{_datadir}/%{name}/patches/*.patch
>%{_datadir}/%{name}/install/readonly-root
>%{_datadir}/%{name}/install/rc.readonly-livecd
>%{_datadir}/%{name}/install/readonly-halt
>%{_datadir}/%{name}/install/scanswap
> 
>%changelog
>* Fri Jan 13 2006 Jasper Hartline <jasperhartline@adelphia.net>
>- Cleaned up %files (again)
>- Added BuildRequires
>
>
>* Thu Jan 12 2006 Jasper Hartline <jasperhartline@adelphia.net>
>- Fixed incorrect URL in .spec
>- Fixed missing %ghosts
>
>
>* Thu Jan 12 2006 Rudolf Kastl <che666@gmail.com>
>- added patch to make it install clean
>- cleaned up file section
>- removed explicit requires
>- fixed the pre build part and proper use of macros
>
>
>* Mon Jan 9 2006 Jasper Hartline <jasperhartline@adelphia.net>
>- Built Kadischi rpm package (Initial Build)
Comment 3 Jasper O. Hartline 2006-01-13 07:06:09 EST
Nevermind that noise.
Here is the specfile attached below, cleaned up a bit.
This builds as a user or as root, default Fedora Core rpmbuild environements.
Comment 4 Jasper O. Hartline 2006-01-13 07:09:55 EST
Created attachment 123158 [details]
Kadischi .spec for rpmbuild
Comment 5 Michael Kearey 2006-01-13 20:37:04 EST
Well done Jasper, I just put the peices together and managed to build as non-root.
Well done. I might see if I can get CVS access and add the spec and the patch
from  Bugzilla 177649.
Comment 6 Jasper O. Hartline 2006-01-16 08:23:06 EST
Below is the spec I believe that should go to CVS, that or with some changes,
doesn't matter, but it needs to get there. Users need a .spec.
Comment 7 Jasper O. Hartline 2006-01-16 08:28:52 EST
Created attachment 123235 [details]
Kadischi RPM specfile

This adds functionality by eliminating the ash shell dependancy
which isn't needed to build or run kadischi. The ash script
livecd-linuxrc is only needed during bootstrap of the LiveCD.
Comment 8 Jasper O. Hartline 2006-01-22 12:29:05 EST
Created attachment 123545 [details]
Kadischi RPM speccfile for CVS

This adds functionality by including the kadischi-nokernel.patch which for some
resulted in no kernel being installed.
Comment 9 Jasper O. Hartline 2006-01-26 18:28:56 EST
Created attachment 123754 [details]
kadischi.spec

The specfile includes kadischi.py.patch which fixes numerous things in
kadischi.py and allows for parallelism if resources are available.
Comment 10 Jasper O. Hartline 2006-03-01 10:47:33 EST
Created attachment 125469 [details]
Kadischi rpmbuild .spec file
Comment 11 Chitlesh GOORAH 2006-04-18 05:38:09 EDT
CVS commited

Note You need to log in before you can comment on or make changes to this bug.